---
website: https://podman.io
obj: application
repo: https://github.com/containers/podman
---

# Podman
Podman is a rootless container engine.

## Usage
Podmans command line interface is almost identical to Dockers. For reference see [Docker](Docker.md).

### `podman port`
List port mappings for the _container_ or look up the public-facing port that is NAT-ed to the _private-port_.

```shell
# podman port b4d2f054
80/udp -> 0.0.0.0:44327
80/tcp -> 0.0.0.0:44327
```

### `podman diff`
Inspect changes on a container or image’s filesystem.
Usage: `podman diff [options] container|image [container|image]`

```shell
$ podman diff --format json myimage
{
  "changed": [
    "/usr",
    "/usr/local",
    "/usr/local/bin"
  ],
  "added": [
    "/usr/local/bin/docker-entrypoint.sh"
  ]
}

$ podman diff container1 image1
A /test
```