---
obj: concept
wiki: https://en.wikipedia.org/wiki/QR_code
rev: 2024-03-13
---

# QR Code
The quick response, or QR, Code is a two-dimensional version of the Barcode able to convey a wide variety of information almost instantly with the scan of a mobile device.

One can encode [URLs](../internet/URL.md), Contacts (in [vCard](../files/vCard.md) format), WiFi-Credentials, Locations or other [ASCII](../files/ASCII.md) data.

## Creating QR Codes
You can create QR Codes with `qrencode`.
Usage: `qrencode [-o FILENAME] [OPTION]... [STRING]`
Encode input data in a QR Code and save as a [PNG](../files/media/image/PNG.md) image.

| Option                              | Description                                                                                 |
| ----------------------------------- | ------------------------------------------------------------------------------------------- |
| `-o FILENAME, --output=FILENAME`    | write image to FILENAME. If '-' is specified, the result will be output to standard output. |
| `-r FILENAME, --read-from=FILENAME` | read input data from FILENAME.                                                              |
| `-s NUMBER, --size=NUMBER`          | specify module size in dots (pixels). (default=3)                                           |
| `-l {LMQH}, --level={LMQH}`         | specify error correction level from L (lowest) to H (highest). (default=L)                  |
| `-m NUMBER, --margin=NUMBER`        | specify the width of the margins. (default=4)                                               |
| `-d NUMBER, --dpi=NUMBER`           | specify the DPI of the generated [PNG](../files/media/image/PNG.md). (default=72)           |
| `-c, --casesensitive`               | encode lower-case alphabet characters in 8-bit mode. (default)                              |
| `-i, --ignorecase`                  | ignore case distinctions and use only upper-case characters.                                |
